﻿// StationSpy.cpp : main source file for StationSpy.exe
//

#include "stdafx.h"
#include "resource.h"

CAppModule _Module;
CMessageLoop theLoop;

//---------------------------------------------------------------------------
//  DllMain
//---------------------------------------------------------------------------
BOOL APIENTRY DllMain( HINSTANCE hInstance, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
	if (ul_reason_for_call == DLL_PROCESS_ATTACH)
	{
		HRESULT hRes = ::CoInitialize(NULL);
	// If you are running on NT 4.0 or higher you can use the following call instead to 
	// make the EXE free threaded. This means that calls come in on a random RPC thread.
	//	HRESULT hRes = ::CoInitializeEx(NULL, COINIT_MULTITHREADED);
		ATLASSERT(SUCCEEDED(hRes));

		// this resolves ATL window thunking problem when Microsoft Layer for Unicode (MSLU) is used
		::DefWindowProc(NULL, 0, 0, 0L);

		AtlInitCommonControls(ICC_COOL_CLASSES | ICC_BAR_CLASSES);	// add flags to support other controls

		hRes = _Module.Init(NULL, hInstance);
		ATLASSERT(SUCCEEDED(hRes));

		_Module.AddMessageLoop(&theLoop);

		return SUCCEEDED(hRes);
	}

	if (ul_reason_for_call == DLL_PROCESS_DETACH)
	{
		_Module.RemoveMessageLoop();

		_Module.Term();
		::CoUninitialize();
	}

    return TRUE;
}

